Untitled Document

Overview


Untitled Document

Welcome to Microdicom

This guide introduces you to using MicroDicom.


Untitled Document

 System requirements
  • Windows 98/Me/NT4/2000/XP/Vista
  • Processor 486DX or higher
  • 32 MB RAM or more
  • 11 MB free disk space
Recomended:
  • Windows XP
  • Processor Pentium II
  • 128 MB RAM
  • Internet Explorer V5 or later


Untitled Document

Version history

Version 0.1.5 Beta date: 15 July 2007


Untitled Document

Web site

http://www.microdicom.com

Contact info

Simeon Antonov Stoykov
Sofia, Bulgaria
e-mail: info@microdicom.com

Send your problems, suggestions, and questions to my email


(<<YourApp>> Help Index)

<<YourApp>> Help Index

How To ...

<< Add your application-specific how-to topics here. >>

Commands

File menu

Edit menu

View menu

Window menu

Help menu


(File menu commands)

The File menu offers the following commands:

New | Creates a new document.
Open | Opens an existing document.
Close | Closes an opened document.
Save | Saves an opened document using the same file name.
Save As | Saves an opened document to a specified file name.
Print | Prints a document.
Print Preview | Displays the document on the screen as it would appear printed.
Print Setup | Selects a printer and printer connection.
Exit | Exits <<YourApp>>.


(Edit menu commands)

The Edit menu offers the following commands:

Undo | Reverse previous editing operation.
Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.


(View menu commands)

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.


(Window menu commands)

The Window menu offers the following commands, which enable you to arrange multiple views of multiple documents in the application window:

New Window | Creates a new window that views the same document.
Cascade | Arranges windows in an overlapped fashion.
Tile | Arranges windows in non-overlapped tiles.
Arrange Icons | Arranges icons of closed windows.
Window 1, 2, ... | Goes to specified window.


(Help menu commands)

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.


(status bar)

The status bar is displayed at the bottom of the <<YourApp>> window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


(toolbar)

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in <<YourApp>>,

To hide or display the toolbar, click Toolbar from the View menu.


(Choose Color Dialog)

Choose Color dialog box

<< Write application-specific help here. >>


(File Open dialog box)

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

<< List your application's file types here. >>

Drives

Specifies the drive in which <<YourApp>> stores the file that you want to open.

Directories

Specifies the directory in which <<YourApp>> stores the file that you want to open.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(File Save As dialog box)

The following options allow you to specify the name and location of the file you're about to save:

File Name

Specifies a file name to save a document with a different name. <<YourApp>> adds the extension you specify in the Save File As Type box.

Drives

Specifies the drive in which you want to store the document.

Directories

Specifies the directory in which you want to store the document.

Network

Click this button to connect to a network location, assigning it a new drive letter.

<< Add other File Save As dialog box options depending on which ones your application chooses through the OFN_ flags of the OPENFILENAME structure used by the CFileDialog. >>


(Find Dialog)

Find dialog box

<< Write application-specific help here. >>


(Choose Font Dialog)

Choose Font dialog box

<< Write application-specific help here. >>


(File New dialog box)

<< Delete this help topic if your application supports only one document type. >>

Specify the type of document you want to create:

<< List your application's document types here >>


(Print dialog box)

The following options allow you to specify how the document should be printed:

Printer

Displays the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specifies the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To fields.

Copies

Specifies the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Specifies the quality of the printing. Generally, lower quality printing takes less time to produce.


(Print Progress Dialog)

The Printing dialog box is shown during the time that <<YourApp>> is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


(Print Setup dialog box)

The following options allow you to select the destination printer and its connection.

Printer

Specifies the printer you want to use. Choose the default printer, or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using Control Panel.

Orientation

Specifies Portrait or Landscape.

Paper Size

Specifies the size of paper that the document is to be printed on.

Paper Source

Specifies the paper source, because some printers offer multiple trays for different paper sources.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(Replace Dialog)

Replace dialog box

<< Write application-specific help here. >>


(No Help Available)

No help is available for this message box.

<< If you want to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .hpj file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


(Docking Toolbar Area)

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


(print preview toolbar)

The print preview toolbar offers you the following options:

Print

Opens the Print dialog box to start a print job.

Next Page

Previews the next printed page.

Prev Page

Previews the previous printed page.

One Page / Two Page

Previews one or two printed pages at a time.

Zoom In

Takes a closer look at the printed page.

Zoom Out

Takes a larger look at the printed page.

Close

Returns from print preview to the editing window.


(About command (Help menu))

Use this command to display the copyright notice and version number of your copy of <<YourApp>>.


(File Exit command)

Exit command (File menu)

Use this command to end your <<YourApp>> session. You can also use the Close command on the application Control menu. <<YourApp>> prompts you to save documents with unsaved changes.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of <<YourApp>>. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the <<YourApp>> window, such as another toolbar button. The help topic will be shown for the item you clicked.


(Edit Clear Command)

Clear command (Edit menu)

<< Write application-specific help here. >>


(Edit Clear All)

Clear All command (Edit menu)

<< Write application-specific help here. >>


(Copy command (Edit menu))

Use this command to copy selected data onto the clipboard. This command is unavailable if there is no data currently selected.

Copying data to the clipboard replaces the contents previously stored there.


(Cut command (Edit menu))

Use this command to remove the currently selected data from the document and put it on the clipboard. This command is unavailable if there is no data currently selected.

Cutting data to the clipboard replaces the contents previously stored there.


(Edit Find Command)

Find command (Edit menu)

<< Write application-specific help here. >>


(Paste command (Edit menu))

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.


(Redo command (Edit menu))

<< Write application-specific help here. >>


(Edit Repeat Command)

Repeat command (Edit menu)

Use this command to repeat the last editing command carried out. The Repeat menu item changes to Can't Repeat if you cannot repeat your last action.


(Edit Replace Command)

Replace command (Edit menu)

<< Write application-specific help here. >>


(Undo/Can't Undo command (Edit menu))

<< Your application's user interface for Undo may differ from the one described below. Modify this help text accordingly. >>

Use this command to reverse the last editing action, if possible. The name of the command changes, depending on what the last action was. The Undo command changes to Can't Undo on the menu if you cannot reverse your last action.


(File Close command)

Close command (File menu)

Use this command to close all windows containing the active document. <<YourApp>> suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time y ou saved it. Before closing an untitled document, <<YourApp>> displays the Save As dialog box and suggests that you name and save the document.


(File 1, 2, 3, 4 command)

1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four documents you closed. Choose the number that corresponds with the document you want to open.


(File New command)

New command (File menu)

Use this command to create a new document in <<YourApp>>. Select the type of new file you want to create in the File New dialog box. << Remove previous sentence if your application supports only one document type. >>

You can open an existing document with the Open command.


(File Open command)

Open command (File menu)

Use this command to open an existing document in a new window. You can open multiple documents at once. Use the Window menu to switch among the multiple open documents. See Window 1, 2, ... command.

You can create new documents with the New command.


(File Page Setup Command)

Page Setup command (File menu)

<< Write application-specific help here. >>


(File Print command)

Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.


(File Print Preview command)

Print Preview command (File menu)

Use this command to display the active document as it would appear when printed. When you choose this command, the main window will be replaced with a print preview window in which one or two pages will be displayed in their printed format. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


(File Print Setup command)

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


(File Save command)

Save command (File menu)

Use this command to save the active document to its current name and directory. When you save a document for the first time, <<YourApp>> displays the Save As dialog box so you can name your document. If you want to change the name and directory of an existing document before you save it, choose the Save As command.


(File Save As command)

Save As command (File menu)

Use this command to save and name the active document. <<YourApp>> displays the Save As dialog box so you can name your document.

To save a document with its existing name and directory, use the Save command.


(Send command (File menu))

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


(Index command (Help menu))

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using <<YourApp>> and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


(Title Bar)

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


(Next Pane Command)

Next Pane

<< Write application-specific help here. >>


(Prev Pane Command)

Prev Pane

<< Write application-specific help here. >>


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the <<YourApp>> window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Next Window command (document Control menu))

Use this command to switch to the next open document window. <<YourApp>> determines which window is next according to the order in which you opened the windows.


(Previous Window command (document Control menu))

Use this command to switch to the previous open document window. <<YourApp>> determines which window is previous according to the order in which you opened the windows.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


(View Ruler Command)

Ruler command (View menu)

<< Write application-specific help here. >>


(View Status Bar Command)

Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


(View Toolbar command)

Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in <<YourApp>>, such as File Open. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


(1, 2, ... command (Window menu))

<<YourApp>> displays a list of currently open document windows at the bottom of the Window menu. A checkmark appears in front of the document name of the active window. Choose a document from this list to make its window active.


(Window Arrange Icons Command)

Use this command to arrange the icons for minimized windows at the bottom of the main window. If there is an open document window at the bottom of the main window, then some or all of the icons may not be visible because they will be underneath this d ocument window.


(Cascade command (Window menu))

Use this command to arrange multiple opened windows in an overlapped fashion.


(New command (Window menu))

Use this command to open a new window with the same contents as the active window. You can open multiple document windows to display different parts or views of a document at the same time. If you change the contents in one window, all other windows containing the same document reflect those changes. When you open a new window, it becomes the active window and is displayed on top of all other open windows.


(Split Command (Window menu))

Use this command to split the active window into panes. You may then use the mouse or the keyboard arrows to move the splitter bars. When you are finished, press the mouse button or enter to leave the splitter bars in their new location. Pressing es cape keeps the splitter bars in their original location. << In a single document interface application, this command will appear on the View menu. >>


(Tile command (Window menu))

Use this command to arrange multiple opened windows in a nonoverlapped fashion.


(Tile Horizontal command (Window menu))

Use this command to vertically arrange multiple opened windows in a nonoverlapped fashion.


(Tile Vertical command (Window menu))

Use this command to arrange multiple opened windows side by side.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


Untitled Document

Open image file

You can open image file - dicom or common image file, from File/Open or from Standard toolbar/ Open.


Untitled Document

 Quick start


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>